// Oleg Petruny proprietary.

#pragma once

#include "Minigame/Minigame.h"

#include "AgeOfWarManager.generated.h"

UCLASS(Blueprintable, BlueprintType, MinimalAPI)
class AAgeOfWarManager : public AMinigame
{
    GENERATED_BODY()

public:
    AAgeOfWarManager();

    virtual void Start(class APlayerBase* playerPawn, FMinigameEndCallback delegate) override;
    virtual void End() override;
};
